// ------------------------------------------------------------------------------
//  <autogenerated>
//      This code was generated by a tool.
//      
// 
//      Changes to this file may cause incorrect behavior and will be lost if 
//      the code is regenerated.
//  </autogenerated>
// ------------------------------------------------------------------------------

namespace MonoDevelop.AssemblyBrowser {
    
    
    public partial class AssemblyBrowserWidget {
        
        private Gtk.UIManager UIManager;
        
        private Gtk.Action NavigateBackwardAction;
        
        private Gtk.Action NavigateForwardAction;
        
        private Gtk.VBox vbox1;
        
        private Gtk.Toolbar toolbar1;
        
        private Gtk.HPaned hpaned1;
        
        private Gtk.ScrolledWindow scrolledwindow2;
        
        private Gtk.Notebook notebook1;
        
        private Gtk.ScrolledWindow documentationScrolledWindow;
        
        private Gtk.Label documentationLabel;
        
        private Gtk.VBox vboxInspect;
        
        private Gtk.HBox hbox2;
        
        private Gtk.Label label1;
        
        private Gtk.ComboBox languageCombobox;
        
        private Gtk.ScrolledWindow scrolledwindow3;
        
        private Gtk.VBox searchWidget;
        
        private Gtk.HBox hbox1;
        
        private Gtk.Label label4;
        
        private Gtk.Entry searchEntry;
        
        private Gtk.Label label5;
        
        private Gtk.ComboBox searchInCombobox;
        
        private Gtk.ScrolledWindow scrolledwindow1;
        
        private Gtk.TreeView searchTreeview;
        
        protected virtual void Build() {
            Stetic.Gui.Initialize(this);
            // Widget MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget
            Stetic.BinContainer w1 = Stetic.BinContainer.Attach(this);
            this.UIManager = new Gtk.UIManager();
            Gtk.ActionGroup w2 = new Gtk.ActionGroup("Default");
            this.NavigateBackwardAction = new Gtk.Action("NavigateBackwardAction", Mono.Unix.Catalog.GetString("Navigate backward"), null, "gtk-go-back");
            this.NavigateBackwardAction.ShortLabel = Mono.Unix.Catalog.GetString("Navigate backward");
            w2.Add(this.NavigateBackwardAction, null);
            this.NavigateForwardAction = new Gtk.Action("NavigateForwardAction", Mono.Unix.Catalog.GetString("Navigate forward"), null, "gtk-go-forward");
            this.NavigateForwardAction.ShortLabel = Mono.Unix.Catalog.GetString("Navigate forward");
            w2.Add(this.NavigateForwardAction, null);
            this.UIManager.InsertActionGroup(w2, 0);
            this.Name = "MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget";
            // Container child MonoDevelop.AssemblyBrowser.AssemblyBrowserWidget.Gtk.Container+ContainerChild
            this.vbox1 = new Gtk.VBox();
            this.vbox1.Name = "vbox1";
            this.vbox1.Spacing = 6;
            // Container child vbox1.Gtk.Box+BoxChild
            this.UIManager.AddUiFromString("<ui><toolbar name='toolbar1'><toolitem name='NavigateBackwardAction' action='NavigateBackwardAction'/><toolitem name='NavigateForwardAction' action='NavigateForwardAction'/></toolbar></ui>");
            this.toolbar1 = ((Gtk.Toolbar)(this.UIManager.GetWidget("/toolbar1")));
            this.toolbar1.Name = "toolbar1";
            this.toolbar1.ShowArrow = false;
            this.toolbar1.ToolbarStyle = ((Gtk.ToolbarStyle)(0));
            this.toolbar1.IconSize = ((Gtk.IconSize)(1));
            this.vbox1.Add(this.toolbar1);
            Gtk.Box.BoxChild w3 = ((Gtk.Box.BoxChild)(this.vbox1[this.toolbar1]));
            w3.Position = 0;
            w3.Expand = false;
            w3.Fill = false;
            // Container child vbox1.Gtk.Box+BoxChild
            this.hpaned1 = new Gtk.HPaned();
            this.hpaned1.CanFocus = true;
            this.hpaned1.Name = "hpaned1";
            this.hpaned1.Position = 185;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.scrolledwindow2 = new Gtk.ScrolledWindow();
            this.scrolledwindow2.CanFocus = true;
            this.scrolledwindow2.Name = "scrolledwindow2";
            this.scrolledwindow2.ShadowType = ((Gtk.ShadowType)(1));
            this.hpaned1.Add(this.scrolledwindow2);
            Gtk.Paned.PanedChild w4 = ((Gtk.Paned.PanedChild)(this.hpaned1[this.scrolledwindow2]));
            w4.Resize = false;
            // Container child hpaned1.Gtk.Paned+PanedChild
            this.notebook1 = new Gtk.Notebook();
            this.notebook1.CanFocus = true;
            this.notebook1.Name = "notebook1";
            this.notebook1.CurrentPage = 1;
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.documentationScrolledWindow = new Gtk.ScrolledWindow();
            this.documentationScrolledWindow.Name = "documentationScrolledWindow";
            this.documentationScrolledWindow.ShadowType = ((Gtk.ShadowType)(1));
            // Container child documentationScrolledWindow.Gtk.Container+ContainerChild
            Gtk.Viewport w5 = new Gtk.Viewport();
            w5.ShadowType = ((Gtk.ShadowType)(0));
            // Container child GtkViewport.Gtk.Container+ContainerChild
            this.documentationLabel = new Gtk.Label();
            this.documentationLabel.Name = "documentationLabel";
            this.documentationLabel.Xpad = 6;
            this.documentationLabel.Ypad = 6;
            this.documentationLabel.Xalign = 0F;
            this.documentationLabel.Yalign = 0F;
            this.documentationLabel.UseMarkup = true;
            this.documentationLabel.Selectable = true;
            w5.Add(this.documentationLabel);
            this.documentationScrolledWindow.Add(w5);
            this.notebook1.Add(this.documentationScrolledWindow);
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.vboxInspect = new Gtk.VBox();
            this.vboxInspect.Name = "vboxInspect";
            this.vboxInspect.Spacing = 6;
            // Container child vboxInspect.Gtk.Box+BoxChild
            this.hbox2 = new Gtk.HBox();
            this.hbox2.Name = "hbox2";
            this.hbox2.Spacing = 6;
            // Container child hbox2.Gtk.Box+BoxChild
            this.label1 = new Gtk.Label();
            this.label1.Name = "label1";
            this.label1.LabelProp = Mono.Unix.Catalog.GetString("Language:");
            this.hbox2.Add(this.label1);
            Gtk.Box.BoxChild w9 = ((Gtk.Box.BoxChild)(this.hbox2[this.label1]));
            w9.Position = 0;
            w9.Expand = false;
            w9.Fill = false;
            // Container child hbox2.Gtk.Box+BoxChild
            this.languageCombobox = Gtk.ComboBox.NewText();
            this.languageCombobox.Name = "languageCombobox";
            this.hbox2.Add(this.languageCombobox);
            Gtk.Box.BoxChild w10 = ((Gtk.Box.BoxChild)(this.hbox2[this.languageCombobox]));
            w10.Position = 1;
            this.vboxInspect.Add(this.hbox2);
            Gtk.Box.BoxChild w11 = ((Gtk.Box.BoxChild)(this.vboxInspect[this.hbox2]));
            w11.Position = 0;
            w11.Expand = false;
            w11.Fill = false;
            // Container child vboxInspect.Gtk.Box+BoxChild
            this.scrolledwindow3 = new Gtk.ScrolledWindow();
            this.scrolledwindow3.CanFocus = true;
            this.scrolledwindow3.Name = "scrolledwindow3";
            this.scrolledwindow3.ShadowType = ((Gtk.ShadowType)(1));
            this.vboxInspect.Add(this.scrolledwindow3);
            Gtk.Box.BoxChild w12 = ((Gtk.Box.BoxChild)(this.vboxInspect[this.scrolledwindow3]));
            w12.Position = 1;
            this.notebook1.Add(this.vboxInspect);
            Gtk.Notebook.NotebookChild w13 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.vboxInspect]));
            w13.Position = 1;
            // Container child notebook1.Gtk.Notebook+NotebookChild
            this.searchWidget = new Gtk.VBox();
            this.searchWidget.Name = "searchWidget";
            this.searchWidget.Spacing = 6;
            // Container child searchWidget.Gtk.Box+BoxChild
            this.hbox1 = new Gtk.HBox();
            this.hbox1.Name = "hbox1";
            this.hbox1.Spacing = 6;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label4 = new Gtk.Label();
            this.label4.Name = "label4";
            this.label4.LabelProp = Mono.Unix.Catalog.GetString("_Search:");
            this.label4.UseUnderline = true;
            this.hbox1.Add(this.label4);
            Gtk.Box.BoxChild w14 = ((Gtk.Box.BoxChild)(this.hbox1[this.label4]));
            w14.Position = 0;
            w14.Expand = false;
            w14.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.searchEntry = new Gtk.Entry();
            this.searchEntry.CanFocus = true;
            this.searchEntry.Name = "searchEntry";
            this.searchEntry.IsEditable = true;
            this.searchEntry.InvisibleChar = '●';
            this.hbox1.Add(this.searchEntry);
            Gtk.Box.BoxChild w15 = ((Gtk.Box.BoxChild)(this.hbox1[this.searchEntry]));
            w15.Position = 1;
            // Container child hbox1.Gtk.Box+BoxChild
            this.label5 = new Gtk.Label();
            this.label5.Name = "label5";
            this.label5.LabelProp = Mono.Unix.Catalog.GetString("_in:");
            this.label5.UseUnderline = true;
            this.hbox1.Add(this.label5);
            Gtk.Box.BoxChild w16 = ((Gtk.Box.BoxChild)(this.hbox1[this.label5]));
            w16.Position = 2;
            w16.Expand = false;
            w16.Fill = false;
            // Container child hbox1.Gtk.Box+BoxChild
            this.searchInCombobox = Gtk.ComboBox.NewText();
            this.searchInCombobox.Name = "searchInCombobox";
            this.hbox1.Add(this.searchInCombobox);
            Gtk.Box.BoxChild w17 = ((Gtk.Box.BoxChild)(this.hbox1[this.searchInCombobox]));
            w17.Position = 3;
            w17.Expand = false;
            w17.Fill = false;
            this.searchWidget.Add(this.hbox1);
            Gtk.Box.BoxChild w18 = ((Gtk.Box.BoxChild)(this.searchWidget[this.hbox1]));
            w18.Position = 0;
            w18.Expand = false;
            w18.Fill = false;
            // Container child searchWidget.Gtk.Box+BoxChild
            this.scrolledwindow1 = new Gtk.ScrolledWindow();
            this.scrolledwindow1.CanFocus = true;
            this.scrolledwindow1.Name = "scrolledwindow1";
            this.scrolledwindow1.ShadowType = ((Gtk.ShadowType)(1));
            // Container child scrolledwindow1.Gtk.Container+ContainerChild
            this.searchTreeview = new Gtk.TreeView();
            this.searchTreeview.CanFocus = true;
            this.searchTreeview.Name = "searchTreeview";
            this.scrolledwindow1.Add(this.searchTreeview);
            this.searchWidget.Add(this.scrolledwindow1);
            Gtk.Box.BoxChild w20 = ((Gtk.Box.BoxChild)(this.searchWidget[this.scrolledwindow1]));
            w20.Position = 1;
            this.notebook1.Add(this.searchWidget);
            Gtk.Notebook.NotebookChild w21 = ((Gtk.Notebook.NotebookChild)(this.notebook1[this.searchWidget]));
            w21.Position = 2;
            this.hpaned1.Add(this.notebook1);
            this.vbox1.Add(this.hpaned1);
            Gtk.Box.BoxChild w23 = ((Gtk.Box.BoxChild)(this.vbox1[this.hpaned1]));
            w23.Position = 1;
            this.Add(this.vbox1);
            if ((this.Child != null)) {
                this.Child.ShowAll();
            }
            w1.SetUiManager(UIManager);
            this.label4.MnemonicWidget = this.searchEntry;
            this.label5.MnemonicWidget = this.searchInCombobox;
            this.Show();
            this.NavigateBackwardAction.Activated += new System.EventHandler(this.OnNavigateBackwardActionActivated);
            this.NavigateForwardAction.Activated += new System.EventHandler(this.OnNavigateForwardActionActivated);
        }
    }
}
